## process this file with automake to produce Makefile.in


QT_MOC         = @QT_BIN@/moc

scdir          = $(datadir)/subcommander
icondir        = $(scdir)/icons/default

icons          = ../pics/icons/default

icon_DATA      = $(icons)/Add-Active.png \
                 $(icons)/Add-Disabled.png \
                 $(icons)/Add-Normal.png \
                 $(icons)/AutoRefresh.png \
                 $(icons)/AutoRefresh-Disabled.png \
                 $(icons)/AutoRefresh-NormalOff.png \
                 $(icons)/AutoRefresh-NormalOn.png \
                 $(icons)/Blame-Active.png \
                 $(icons)/Blame-Disabled.png \
                 $(icons)/Blame-Normal.png \
                 $(icons)/BookmarkProjectClosed.png \
                 $(icons)/BookmarkProjectOpened.png \
                 $(icons)/BookmarkRepository.png \
                 $(icons)/BookmarkWorkingCopy.png \
                 $(icons)/BranchTag-Active.png \
                 $(icons)/BranchTag-Disabled.png \
                 $(icons)/BranchTag-Normal.png \
                 $(icons)/Cancel-Active.png \
                 $(icons)/Cancel-Disabled.png \
                 $(icons)/Cancel-Normal.png \
                 $(icons)/Cat-Active.png \
                 $(icons)/Cat-Disabled.png \
                 $(icons)/Cat-Normal.png \
                 $(icons)/Checkout.png \
                 $(icons)/Cleanup-Active.png \
                 $(icons)/Cleanup-Disabled.png \
                 $(icons)/Cleanup-Normal.png \
                 $(icons)/Commit-Active.png \
                 $(icons)/Commit-Disabled.png \
                 $(icons)/Commit-Normal.png \
                 $(icons)/Commit-Overlay.png \
                 $(icons)/Diff-Active.png \
                 $(icons)/Diff-Disabled.png \
                 $(icons)/Diff-Normal.png \
                 $(icons)/Failed.png \
                 $(icons)/FailedSmall.png \
                 $(icons)/Folder.png \
                 $(icons)/FolderSvn.png \
                 $(icons)/Force-NormalOn.png \
                 $(icons)/Force-NormalOff.png \
                 $(icons)/Lock-Active.png \
                 $(icons)/Lock-Disabled.png \
                 $(icons)/Lock-Normal.png \
                 $(icons)/Log-Active.png \
                 $(icons)/Log-Disabled.png \
                 $(icons)/Log-Normal.png \
                 $(icons)/LogGraph-Active.png \
                 $(icons)/LogGraph-Disabled.png \
                 $(icons)/LogGraph-Normal.png \
                 $(icons)/Logo_Icon_16x16.png \
                 $(icons)/Merge-Active.png \
                 $(icons)/Merge-Disabled.png \
                 $(icons)/Merge-Normal.png \
                 $(icons)/MessageBox-Critical.png \
                 $(icons)/MessageBox-Information.png \
                 $(icons)/MessageBox-Warning.png \
                 $(icons)/Mkdir-Active.png \
                 $(icons)/Mkdir-Disabled.png \
                 $(icons)/Mkdir-Normal.png \
                 $(icons)/None.png \
                 $(icons)/ProjectNew-Active.png \
                 $(icons)/ProjectNew-Disabled.png \
                 $(icons)/ProjectNew-Normal.png \
                 $(icons)/ProjectNewWizard-Active.png \
                 $(icons)/ProjectNewWizard-Disabled.png \
                 $(icons)/ProjectNewWizard-Normal.png \
                 $(icons)/Recursive.png \
                 $(icons)/Recursive-Disabled.png \
                 $(icons)/Recursive-NormalOn.png \
                 $(icons)/Recursive-NormalOff.png \
                 $(icons)/Reload-Active.png \
                 $(icons)/Reload-Normal.png \
                 $(icons)/Reload-Disabled.png \
                 $(icons)/Relocate.png \
                 $(icons)/Remove-Active.png \
                 $(icons)/Remove-Disabled.png \
                 $(icons)/Remove-Normal.png \
                 $(icons)/Revert-Active.png \
                 $(icons)/Revert-Disabled.png \
                 $(icons)/Revert-Normal.png \
                 $(icons)/Switch.png \
                 $(icons)/ToggleOn.png \
                 $(icons)/Undo-Active.png \
                 $(icons)/Undo-Disabled.png \
                 $(icons)/Undo-Normal.png \
                 $(icons)/Unlock-Active.png \
                 $(icons)/Unlock-Disabled.png \
                 $(icons)/Unlock-Normal.png \
                 $(icons)/Update-Active.png \
                 $(icons)/Update-Disabled.png \
                 $(icons)/Update-Normal.png \
                 $(icons)/Updates.png \
                 $(icons)/Updates-Disabled.png \
                 $(icons)/Updates-NormalOff.png \
                 $(icons)/Updates-NormalOn.png \
                 $(icons)/WcAll-NormalOn.png \
                 $(icons)/WcAll-NormalOff.png \
                 $(icons)/WcIgnored-NormalOn.png \
                 $(icons)/WcIgnored-NormalOff.png \
                 $(icons)/WorkingCopy-Overlay.png \
                 $(icons)/WorkingCopy-Overlay2.png \
                 $(icons)/GNU.png \
                 $(icons)/README \
                 $(icons)/LICENSE 

## we define __STDC_CONSTANT_MACROS because we need INT64_C from <stdint.h>, which is used
## by apr_time_from_sec

AM_CPPFLAGS    = -DQT_THREAD_SUPPORT @APR_CPPFLAGS@ @STLPORT_INCLUDES@ -I.. \
                 @QT_INCLUDES@ \
                 @SVN_INCLUDES@ @APR_INCLUDES@ @APU_INCLUDES@ @NET_INCLUDES@ \
                 @SSL_INCLUDES@ @BOOST_INCLUDES@ -D__STDC_CONSTANT_MACROS=1 
AM_CXXFLAGS    = @MACOSX_UNIVERSAL_CXXFLAGS@
AM_LDFLAGS     = @MACOSX_UNIVERSAL_LDFLAGS@

bin_PROGRAMS   = subcommander

subcommander_LDADD = -L../util -L../svn -L../sublib -lsvn -lutil -lsublib \
                     @QT_LIBS@ @SVN_LIBS_ALL@ @STLPORT_LIBS@ @NET_LIBS@ \
                     @APU_LIBS@ @APR_LIBS@ -lsasl2 -lz

subcommander_DEPENDENCIES = ../sublib/libsublib.a ../svn/libsvn.a ../util/libutil.a

noinst_HEADERS = AuthPromptProvider.h \
                 BlameDialog.h \
                 BlameLineLvi.h \
                 Cancel.h \
                 CheckoutDialog.h \
                 ColorId.h \
                 Commit.h \
                 CommitDialog.h \
                 CommitItemLvi.h \
                 ConfigManager.h \
                 CopyDialog.h \
                 CursorSupport.h \
                 DialogHandler.h \
                 DiffDialog.h \
                 DiffSummarizeLvi.h \
                 DirEntryLvi.h \
                 DragDropMimeTypes.h \
                 DragInfo.h \
                 ErrorHandler.h \
                 ErrorSupport.h \
                 ExportDialog.h \
                 ExternProvider.h \
                 ExternProviderImpl.h \
                 GuiLock.h \
                 ImportDialog.h \
                 ListCache.h \
                 ListWidget.h \
                 LockDialog.h \
                 LogEntryLvi.h \
                 LogLvi.h \
                 MainWindow.h \
                 MergeDialog.h \
                 MkdirDialog.h \
                 Notify.h \
                 NullCmdResult.h \
                 PostCmdResult.h \
                 PostProgressCallback.h \
                 Project.h \
                 ProjectItemDragObject.h \
                 ProjectPropertiesDialog.h \
                 RemoveDialog.h \
                 RepositoryDialog.h \
                 Repository.h \
                 RevisionProvider.h \
                 RevisionWidget.h \
                 RpListCache.h \
                 RpListInfo.h \
                 ScDragObject.h \
                 ScLviVisitor.h \
                 ScModel.h \
                 SimplePromptDialog.h \
                 SslServerTrustPromptDialog.h \
                 StatusId.h \
                 SwitchDialog.h \
                 SyncCmdResult.h \
                 TextEdit.h \
                 TextWindow.h \
                 UnlockDialog.h \
                 UpdateDialog.h \
                 WcStatusCache.h \
                 WcStatusInfo.h \
                 WcStatusLvi.h \
                 commands/AddCmd.h \
                 commands/AddParam.h \
                 commands/BlameCmd.h \
                 commands/BlameParam.h \
                 commands/CatCmd.h \
                 commands/CatParam.h \
                 commands/CheckoutCmd.h \
                 commands/CheckoutParam.h \
                 commands/CleanupCmd.h \
                 commands/CleanupParam.h \
                 commands/CmdProgressCallback.h \
                 commands/CmdResultCallback.h \
                 commands/CommitCmd.h \
                 commands/CommitParam.h \
                 commands/CopyCmd.h \
                 commands/CopyParam.h \
                 commands/DeleteCmd.h \
                 commands/DeleteParam.h \
                 commands/DetailsCmd.h \
                 commands/DetailsParam.h \
                 commands/DiffCmd.h \
                 commands/DiffParam.h \
                 commands/EditConflictCmd.h \
                 commands/EditConflictParam.h \
                 commands/ExportCmd.h \
                 commands/ExportParam.h \
                 commands/ImportCmd.h \
                 commands/ImportParam.h \
                 commands/ListCmd.h \
                 commands/ListParam.h \
                 commands/LockCmd.h \
                 commands/LockParam.h \
                 commands/LogCmd.h \
                 commands/LogParam.h \
                 commands/MergeCmd.h \
                 commands/MergeParam.h \
                 commands/MkdirCmd.h \
                 commands/MkdirParam.h \
                 commands/MoveCmd.h \
                 commands/MoveParam.h \
                 commands/PropGetCmd.h \
                 commands/PropGetCmd.cpp \
                 commands/PropListCmd.h \
                 commands/PropListParam.h \
                 commands/PropSetCmd.h \
                 commands/PropSetParam.h \
                 commands/PropSetRevCmd.h \
                 commands/PropSetRevParam.h \
                 commands/ResolvedCmd.h \
                 commands/ResolvedParam.h \
                 commands/RevertCmd.h \
                 commands/RevertParam.h \
                 commands/ScCmd.h \
                 commands/ScCmdData.h \
                 commands/ScParam.h \
                 commands/ScParamVisitor.h \
                 commands/StatusCmd.h \
                 commands/StatusCmd2.h \
                 commands/StatusParam.h \
                 commands/SwitchCmd.h \
                 commands/SwitchParam.h \
                 commands/UnlockCmd.h \
                 commands/UnlockParam.h \
                 commands/UpdateCmd.h \
                 commands/UpdateParam.h \
                 events/BlameEvent.h \
                 events/CancelEvent.h \
                 events/CancelStartEvent.h \
                 events/CancelStopEvent.h \
                 events/CopyWcItemEvent.h \
                 events/CustomEvents.h \
                 events/DialogEvent.h \
                 events/DiffSummarizeEvent.h \
                 events/EventSupport.h \
                 events/ExceptionEvent.h \
                 events/LogEvent.h \
                 events/LoggingEvent.h \
                 events/LviOnItemEvent.h \
                 events/MoveWcItemEvent.h \
                 events/ReOrderProjectsEvent.h \
                 events/ScParamEvent.h \
                 events/UpdateWcEvent.h \
                 settings/FontSettings.h \
                 settings/FontSettingsInfo.h \
                 settings/FontSettingsWidget.h \
                 settings/ProjectSettings.h \
                 settings/ProjectSettingsInfo.h \
                 settings/ProjectSettingsWidget.h \
                 settings/ToolsSettings.h \
                 settings/ToolsSettingsInfo.h \
                 settings/ToolsSettingsWidget.h

subcommander_SOURCES = \
                 AuthPromptProvider.cpp \
                 Cancel.cpp \
                 CreateRepositoryDialog.h \
                 CreateRepositoryDialog.cpp \
                 BlameDialog.cpp \
                 BlameLineLvi.cpp \
                 BlameViewModel.h \
                 BlameViewModel.cpp \
                 Bookmark.h \
                 Bookmark.cpp \
                 BookmarkProperties.h \
                 BookmarkProperties.cpp \
                 BookmarkView.h \
                 BookmarkView.cpp \
                 BookmarkViewModel.h \
                 BookmarkViewModel.cpp \
                 BookmarkViewItemModel.h \
                 BookmarkViewItemModel.cpp \
                 BookmarkViewProxyModel.h \
                 BookmarkViewProxyModel.cpp \
                 CheckoutDialog.cpp \
                 Commit.cpp \
                 CommitDialog.cpp \
                 CommitItemLvi.cpp \
                 config.cpp \
                 ConfigManager.cpp \
                 Controller.h \
                 Controller.cpp \
                 CopyDialog.cpp \
                 CursorSupport.cpp \
                 DiffDialog.cpp \
                 DiffSummarizeLvi.cpp \
                 DiffViewModel.h \
                 DiffViewModel.cpp \
                 DirEntryLvi.cpp \
                 DragInfo.cpp \
                 ErrorHandler.cpp \
                 ErrorSupport.cpp \
                 ExportDialog.cpp \
                 ExternProviderImpl.cpp \
                 ImportDialog.cpp \
                 ListWidget.cpp \
                 ListViewColumnTooltips.h \
                 ListViewColumnTooltips.cpp \
                 ListViewHeaderHandler.h \
                 ListViewHeaderHandler.cpp \
                 LockDialog.cpp \
                 LogData.h \
                 LogDialog2.h \
                 LogDialog2.cpp \
                 LogGraphCanvasItems.h \
                 LogGraphCanvasItems.cpp \
                 LogGraphCanvasView.h \
                 LogGraphCanvasView.cpp \
                 LogGraphDialog.h \
                 LogGraphDialog.cpp \
                 LogGraphNode.h \
                 LogGraphNode.cpp \
                 LogGraphViewModel.h \
                 LogGraphViewModel.cpp \
                 LogEntryLvi.cpp \
                 LogLvi.cpp \
                 LogViewModel.h \
                 LogViewModel.cpp \
                 LogWidget.h \
                 LogWidget.cpp \
                 MainWindow.cpp \
                 MergeDialog.cpp \
                 MergeViewModel.h \
                 MergeViewModel.cpp \
                 MkdirDialog.cpp \
                 Notify.cpp \
                 NullCmdResult.cpp \
                 PostCmdResult.cpp \
                 PostProgressCallback.cpp \
                 Project.cpp \
                 ProjectPropertiesDialog.cpp \
                 ProjectSorter.h \
                 ProjectSorter.cpp \
                 ProjectWizard.h \
                 ProjectWizard.cpp \
                 PropertiesDialog2.h \
                 PropertiesDialog2.cpp \
                 RemoveDialog.cpp \
                 RepoModel.h \
                 RepoModel.cpp \
                 RepositoryCache.h \
                 RepositoryCache.cpp \
                 RepositoryDialog.cpp \
                 RevisionWidget.cpp \
                 RpListCache.cpp \
                 RpListInfo.cpp \
                 RpSelection.h \
                 RpSelection.cpp \
                 RpView.h \
                 RpView.cpp \
                 RpViewColumnTooltips.h \
                 RpViewColumnTooltips.cpp \
                 RpViewEntry.h \
                 RpViewEntry.cpp \
                 RpViewModel.h \
                 RpViewModel.cpp \
                 RpViewState.h \
                 RpViewState.cpp \
                 RpViewTree.h \
                 RpViewTree.cpp \
                 RpViewTreeItemModel.h \
                 RpViewTreeItemModel.cpp \
                 RpViewTreeProxyModel.h \
                 RpViewTreeProxyModel.cpp \
                 RpViewTreeWidget.h \
                 RpViewTreeWidget.cpp \
                 RpViewWhatsThis.h \
                 RpViewWhatsThis.cpp \
                 ScModel.cpp \
                 Settings.h \
                 Settings.cpp \
                 SimplePromptDialog.cpp \
                 SortSafe.h \
                 SortSafe.cpp \
                 SslServerTrustPromptDialog.cpp \
                 StatusId.cpp \
                 subcommander.cpp \
                 SwitchDialog.cpp \
                 TabWidget.h \
                 TabWidget.cpp \
                 TextEdit.cpp \
                 TextStatusFilter.h \
                 TextStatusFilter.cpp \
                 TextStatusFilterDialog.h \
                 TextStatusFilterDialog.cpp \
                 TextWindow.cpp \
                 TreeView.h \
                 TreeView.cpp \
                 UnlockDialog.cpp \
                 UpdateDialog.cpp \
                 WcSelection.h \
                 WcSelection.cpp \
                 WcStatusCache.cpp \
                 WcStatusInfo.cpp \
                 WcStatusLvi.cpp \
                 WcView.h \
                 WcView.cpp \
                 WcViewCmdProgress.h \
                 WcViewCmdProgress.cpp \
                 WcViewIndex.h \
                 WcViewIndex.cpp \
                 WcViewLogWidget.h \
                 WcViewLogWidget.cpp \
                 WcViewTree.h \
                 WcViewTree.cpp \
                 WcViewTreeItemModel.h \
                 WcViewTreeItemModel.cpp \
                 WcViewTreeProxyModel.h \
                 WcViewTreeProxyModel.cpp \
                 WcViewModel.h \
                 WcViewModel.cpp \
                 WcViewColumnTooltips.h \
                 WcViewColumnTooltips.cpp \
                 WcViewStatus.h \
                 WcViewStatus.cpp \
                 WcViewTreeWidget.h \
                 WcViewTreeWidget.cpp \
                 WcViewViewState.h \
                 WcViewViewState.cpp \
                 WcViewWhatsThis.h \
                 WcViewWhatsThis.cpp \
                 commands/AddCmd.cpp \
                 commands/BlameCmd.cpp \
                 commands/CatCmd.cpp \
                 commands/CheckoutCmd.cpp \
                 commands/CleanupCmd.cpp \
                 commands/CommitCmd.cpp \
                 commands/CopyCmd.cpp \
                 commands/DeleteCmd.cpp \
                 commands/DetailsCmd.cpp \
                 commands/DiffCmd.cpp \
                 commands/EditConflictCmd.cpp \
                 commands/ExportCmd.cpp \
                 commands/IgnoreCmd.h \
                 commands/IgnoreCmd.cpp \
                 commands/IgnoreParam.h \
                 commands/ImportCmd.cpp \
                 commands/InfoCmd.h \
                 commands/InfoCmd.cpp \
                 commands/InfoParam.h \
                 commands/ListCmd.cpp \
                 commands/ListCmd2.cpp \
                 commands/LockCmd.cpp \
                 commands/LogCmd.cpp \
                 commands/LogGraphCmd.h \
                 commands/LogGraphCmd.cpp \
                 commands/LogGraphParam.h \
                 commands/MergeCmd.cpp \
                 commands/MkdirCmd.cpp \
                 commands/MoveCmd.cpp \
                 commands/PropGetCmd.cpp \
                 commands/PropListCmd.cpp \
                 commands/PropSetCmd.cpp \
                 commands/PropSetRevCmd.cpp \
                 commands/ResolvedCmd.cpp \
                 commands/RevertCmd.cpp \
                 commands/ScCmd.cpp \
                 commands/ScParam.cpp \
                 commands/StatusCmd.cpp \
                 commands/StatusCmd2.cpp \
                 commands/SwitchCmd.cpp \
                 commands/UnlockCmd.cpp \
                 commands/UpdateCmd.cpp \
                 events/CustomEvents.cpp \
                 events/EventSupport.cpp \
                 events/ScParamEvent.cpp \
                 settings/CommitLogHistory.h \
                 settings/FontSettingsInfo.cpp \
                 settings/FontSettingsWidget.cpp \
                 settings/ProjectSettingsInfo.cpp \
                 settings/ProjectSettingsWidget.cpp \
                 settings/ProjectReader.h \
                 settings/ProjectReader.cpp \
                 settings/ProjectWriter.h \
                 settings/ProjectWriter.cpp \
                 settings/SingleProjectReader.h \
                 settings/SingleProjectReader.cpp \
                 settings/SubversionSettings.h \
                 settings/SubversionSettingsInfo.h \
                 settings/SubversionSettingsInfo.cpp \
                 settings/SubversionSettingsWidget.h \
                 settings/SubversionSettingsWidget.cpp \
                 settings/ToolsSettingsInfo.cpp \
                 settings/ToolsSettingsWidget.cpp \
                 moc/BlameDialog_moc.cpp \
                 moc/BlameViewModel_moc.cpp \
                 moc/BookmarkProperties_moc.cpp \
                 moc/BookmarkView_moc.cpp \
                 moc/BookmarkViewItemModel_moc.cpp \
                 moc/BookmarkViewModel_moc.cpp \
                 moc/BookmarkViewProxyModel_moc.cpp \
                 moc/CheckoutDialog_moc.cpp \
                 moc/CommitDialog_moc.cpp \
                 moc/Controller_moc.cpp \
                 moc/CopyDialog_moc.cpp \
                 moc/CreateRepositoryDialog_moc.cpp \
                 moc/DiffDialog_moc.cpp \
                 moc/DiffViewModel_moc.cpp \
                 moc/ExportDialog_moc.cpp \
                 moc/ImportDialog_moc.cpp \
                 moc/ListViewHeaderHandler_moc.cpp \
                 moc/ListWidget_moc.cpp \
                 moc/LockDialog_moc.cpp \
                 moc/LogDialog2_moc.cpp \
                 moc/LogGraphCanvasView_moc.cpp \
                 moc/LogGraphDialog_moc.cpp \
                 moc/LogGraphViewModel_moc.cpp \
                 moc/LogWidget_moc.cpp \
                 moc/LogViewModel_moc.cpp \
                 moc/MainWindow_moc.cpp \
                 moc/MergeDialog_moc.cpp \
                 moc/MergeViewModel_moc.cpp \
                 moc/MkdirDialog_moc.cpp \
                 moc/ProjectPropertiesDialog_moc.cpp \
                 moc/ProjectWizard_moc.cpp \
                 moc/PropertiesDialog2_moc.cpp \
                 moc/RepoModel_moc.cpp \
                 moc/RemoveDialog_moc.cpp \
                 moc/RepositoryDialog_moc.cpp \
                 moc/RevisionWidget_moc.cpp \
                 moc/RpView_moc.cpp \
                 moc/RpViewModel_moc.cpp \
                 moc/RpViewState_moc.cpp \
                 moc/RpViewTree_moc.cpp \
                 moc/RpViewTreeItemModel_moc.cpp \
                 moc/RpViewTreeProxyModel_moc.cpp \
                 moc/RpViewTreeWidget_moc.cpp \
                 moc/SslServerTrustPromptDialog_moc.cpp \
                 moc/SwitchDialog_moc.cpp \
                 moc/TabWidget_moc.cpp \
                 moc/TextEdit_moc.cpp \
                 moc/TextStatusFilterDialog_moc.cpp \
                 moc/TextWindow_moc.cpp \
                 moc/TreeView_moc.cpp \
                 moc/UnlockDialog_moc.cpp \
                 moc/UpdateDialog_moc.cpp \
                 moc/WcView_moc.cpp \
                 moc/WcViewTree_moc.cpp \
                 moc/WcViewLogWidget_moc.cpp \
                 moc/WcViewModel_moc.cpp \
                 moc/WcViewTreeItemModel_moc.cpp \
                 moc/WcViewTreeProxyModel_moc.cpp \
                 moc/WcViewTreeWidget_moc.cpp \
                 moc/WcViewViewState_moc.cpp \
                 moc/settings/FontSettingsWidget_moc.cpp \
                 moc/settings/ProjectSettingsWidget_moc.cpp \
                 moc/settings/SubversionSettingsWidget_moc.cpp \
                 moc/settings/ToolsSettingsWidget_moc.cpp

moc/%_moc.cpp : %.h
	mkdir -p moc/dialogs
	mkdir -p moc/settings
	$(QT_MOC) $< -o $@

clean-local:
	-rm -rf moc
